<?php
/*
 * @package Joomla_1.0.x
 * @copyright (C) 2004 - 2006 Siemens-mobiles.org
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * Joomla is Free Software
 */

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

/**
* @package Joomla_1.0.x
*/
require_once( $mosConfig_absolute_path. "/administrator/components/com_smo_ajax_shoutbox/smo_ajax_shoutbox.cfg.php");

class HTML_smo_ajax_shoutbox {

    function settingsShoutBox() {
        //making $mode['mode'] which is a select list between Public and Registered access
        $format = array();        // format of the name displaying, name or username
        $mode = array();        // mode of shoutbox, public or registered
        $smileys = array();        // smileys source
        $encoding = array();    // encoding source
        $mode[] = mosHTML::makeOption( '1', "Public" );
        $mode[] = mosHTML::makeOption( '2', "Registered" );
        $smileys[] = mosHTML::makeOption( '1', "Use Shoutbox smilies");
        $smileys[] = mosHTML::makeOption( '2' , "Use SMF smilies");
        $smileys[] = mosHTML::makeOption( '3' , "Use JoomlaBoard smilies");
        $encoding[] = mosHTML::makeOption( 'UTF-8', "UTF-8" );
        $encoding[] = mosHTML::makeOption( 'ISO-8859-1', "ISO-8859-1" );
        $format[] = mosHTML::makeOption( '1', "Username" );
        $format[] = mosHTML::makeOption( '2', "Real Name" );
        $lists['mode'] = mosHTML::selectList( $mode, 'shoutbox_mode', 'class="inputbox" size="2"', 'value', 'text', shoutbox_mode );
        $lists['smileys'] = mosHTML::selectList( $smileys, 'smileys_source', 'class="inputbox" size="3"', 'value', 'text', smileys_source );
        $lists['encoding'] = mosHTML::selectList( $encoding, 'shoutbox_encoding', 'class="inputbox" size="2"', 'value', 'text', shoutbox_encoding );
        $lists['format'] = mosHTML::selectList( $format, 'shoutbox_format', 'class="inputbox" size="2"', 'value', 'text', shoutbox_format );
        ?>
        <form action="<?php echo $_SERVER['PHP_SELF'] ?>" method="post" name="adminForm">
            <input type="hidden" name="option" value="com_smo_ajax_shoutbox" />
            <input type="hidden" name="myname" value="Arabic Lounge" />
            <input type="hidden" name="task" value="" />
            <table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminform">
                <tr><th colspan="3">Main</th></tr>
                <tr>
                        <td align="left" width="165">Shout Mode:</td>
                        <td align="left"> <?php echo $lists['mode']; ?> </td>
                        <td align="left" width="55%" class="error">
                           <u>Public</u> - Everyone can post<br />
                        <u>Registered</u> - Only Registered User can post. Others can only view.                                                            
                        </td>
                </tr>
                <tr>
                        <td align="left" width="165">User Names mode:</td>
                        <td align="left"> <?php echo $lists['format']; ?> </td>
                        <td align="left" width="55%" class="error">
                           <u>Username</u> - member's username will be displayed<br />
                        <u>Real Name</u> - member's name will be displayed.
                        </td>
                </tr>                
                <tr>
                        <td align="left" width="165">Shoutbox Encoding:</td>
                        <td align="left"> <?php echo $lists['encoding']; ?> </td>
                        <td align="left" width="55%" class="error">
                           <u>UTF-8</u> - UTF-8 Encoding<br />
                        <u>ISO-8859-1</u> - ISO-8859-1 encoding<br />
                        Please select the same encoding as your page, if you don't know your encoding then please go to your homepage, Open the sources (Right Click -&gt;View Sources), at the beginning of the page you should see something like <br />
                        <b>&lt;meta http-equiv="Content-Type" content="text/html; charset=utf-8" /&gt;</b><br />
                        Or<br />
                        <b>&lt;meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" /&gt;</b><br />
                        Your encoding is the value after "charset=" in the lines above
                        </td>
                </tr>
                <tr>
                        <td align="left" width="185">Update Every:</td>
                        <td align="left"><input type="text" maxlength="3" name="conf_shoutbox_update_seconds" value="<?php echo stripslashes(shoutbox_update_seconds)/ 1000; ?>" size="2" /> Seconds <br /></td>
                        <td align="left">This determines how "live" the shoutbox is. With a bigger number, it will take more time for messages to show up, but also decrease the server load. You may use decimals. This number is used as the base for the first 8 javascript loads. After that, the number gets successively bigger. Adding a new comment or mousing over the shoutbox will reset the interval to the number suplied above. Default: <a href="javascript:void(0)" onclick="javascript:document.adminForm.conf_shoutbox_update_seconds.value='4'">4 Seconds</a></td>
                </tr>
                <tr>
                        <td align="left" width="185">Fade from:</td>
                        <td align="left">#<input type="text" maxlength="6" name="conf_shoutbox_fade_from" value="<?php echo stripslashes(shoutbox_fade_from); ?>" size="6" /> <span style="background: #<?php echo stripslashes(shoutbox_fade_from); ?>;">&nbsp;</span></td>
                        <td align="left">The color that new messages fade in from. Default: <a href="javascript:void(0)" onclick="javascript:document.adminForm.conf_shoutbox_fade_from.value='666666'"><span style="color: #666">666666</span></a></td>
                </tr>
                <tr>
                        <td align="left" width="185">Fade to:</td>
                        <td align="left">#<input type="text" maxlength="6" name="conf_shoutbox_fade_to" value="<?php echo stripslashes(shoutbox_fade_to); ?>" size="6" /> <span style="background: #<?php echo stripslashes(shoutbox_fade_to); ?>;">&nbsp;</span></td>
                        <td align="left">Also used as the background color of the box. Default: <a href="javascript:void(0)" onclick="javascript:document.adminForm.conf_shoutbox_fade_to.value='FFFFFF'">FFFFFF</a> (white)</td>
                </tr>
                <tr>
                        <td align="left" width="185">Text color:</td>
                        <td align="left">#<input type="text" maxlength="6" name="conf_shoutbox_text_color" value="<?php echo stripslashes(shoutbox_text_color); ?>" size="6" /> <span style="background: #<?php echo stripslashes(shoutbox_text_color); ?>;">&nbsp;</span></td>
                        <td align="left">The color of text within the box. Default: <a href="javascript:void(0)" onclick="javascript:document.adminForm.conf_shoutbox_text_color.value='333333'"><span style="color: #333">333333</span></a></td>
                </tr>
                <tr>
                        <td align="left" width="185">Name color:</td>
                        <td align="left">#<input type="text" maxlength="6" name="conf_shoutbox_name_color" value="<?php echo stripslashes(shoutbox_name_color); ?>" size="6" /> <span style="background: #<?php echo stripslashes(shoutbox_name_color); ?>;">&nbsp;</span></td>
                        <td align="left">The color of peoples' names. Default: <a href="javascript:void(0)" onclick="javascript:document.adminForm.conf_shoutbox_name_color.value='0066CC'"><span style="color: #06c">0066CC</span></a></td>
                </tr>
                <tr>
                        <td align="left" width="185">Fade Length</td>
                        <td align="left"><input type="text" maxlength="3" name="conf_shoutbox_fade_length" value="<?php echo stripslashes(shoutbox_fade_length) / 1000; ?>" size="2" /> Seconds</td>
                        <td align="left">The amount of time it takes for the fader to completely blend with the background color. You may use decimals. Default <a href="javascript:void(0)" onclick="javascript:document.adminForm.conf_shoutbox_fade_length.value='1.5'">1.5 seconds</a></td>
                </tr>
                <tr>
                        <td align="left" width="185">Use textarea</td>
                        <td align="left"><input type="checkbox" name="conf_use_textarea" <?php if(use_textarea == true) { echo 'checked="checked" '; } ?>/></td>
                        <td align="left">A textarea is a bigger type of input box. Users will have more room to type their comments, <!--but pressing return won't work for submission-->.</td>
                </tr>
                <tr>
                        <td align="left" width="185">Use URL field</td>
                        <td align="left"><input type="checkbox" name="conf_use_url" <?php if(use_url == true) { echo 'checked="checked" '; } ?>/></td>
                        <td align="left">Check this if you want users to have an option to add their URL when submitting a message.</td>
                </tr>
                <tr>
                        <td align="left" width="185">Show Images:</td>
                        <td align="left"><input type="checkbox" name="shoutbox_use_img" value="1" <?php echo (shoutbox_use_img) ? " checked" : ""; ?>></td>
                        <td align="left">If enabled, images will be displayed as a thumbnail with the size u spevcify below, if not it will be shown as &laquo;image&raquo;</td>
                </tr>
                <tr>
                        <td align="left" width="185">Thumbnail Height:</td>
                        <td align="left"><input class="inputbox" type="text" name="shoutbox_img_height" size="5" value="<?php echo shoutbox_img_height; ?>"></td>
                        <td align="left">Thumbnail height of the displayed image. Default : <a href="javascript:void(0)" onclick="javascript:document.adminForm.shoutbox_img_height.value='35'">35 Pixel</a></td>
                </tr>
                <tr>
                        <td align="left" width="185">Thumbnail Width:</td>
                        <td align="left"><input class="inputbox" type="text" name="shoutbox_img_width" size="5" value="<?php echo shoutbox_img_width; ?>"></td>
                        <td align="left">Thumbnail Image Width. Set it to '0' if you want it to be fixed by the Height value. Default : <a href="javascript:void(0)" onclick="javascript:document.adminForm.shoutbox_img_width.value='0'">0 Pixel</a>
                </tr>
                <tr>
                        <td align="left" valign="top" width="185">Censored words:</td>
                        <td align="left"><textarea rows="4" cols="25" name="shoutbox_censored_words"><?php echo shoutbox_censored_words; ?></textarea></td>
                        <td align="left" valign="top">Censor words, seperate censored words with a comma ",", format: original_word=censored_word</td>
                </tr>
                <tr><th colspan="3">Smileys Source</th></tr>
                <tr>
                        <td align="left" width="185">Enable Smileys</td>
                        <td align="left"><input type="checkbox" name="shoutbox_enable_smileys" <?php if(shoutbox_enable_smileys == true) { echo 'checked="checked" '; } ?>/></td>
                        <td align="left">If selected, Smileys will be enabled, if not the shoutbox will not have smileys</td>
                </tr>
                <tr>
                        <td align="left" width="165">Smilies Mode:</td>
                        <td align="left"> <?php echo $lists['smileys']; ?> </td>
                        <td align="left" width="55%" class="error">
                        <u>Use Shoutbox smilies</u> - Use smileys included with this Shoutbox.<br />
                           <u>Use SMF smilies</u> - Use smileys from simplemachines forums<br />
                        <u>Use JoomlaBoard smilies</u> - Use smileys from <a href="http://developer.joomla.org/sf/projects/simpleboard" target="_blank">Joomlaboard</a> forums
                        </td>
                </tr>
                <tr>
                        <td align="left" width="185">Forum Prefix</td>
                        <td align="left"><input type="text" name="shoutbox_smileys_prefix" value="<?php echo stripslashes(shoutbox_smileys_prefix); ?>" /></td>
                        <td align="left">Forum database prefix (i.e smf_)<br />
                            <b>If you choosed to use Joomlaboard smileys, You can ignore this setting</b>
                        </td>
                </tr>
                <tr>
                        <td align="left" width="185">Smileys directory</td>
                        <td align="left"><input type="text" name="shoutbox_smileys_dir" value="<?php echo stripslashes(shoutbox_smileys_dir); ?>" /></td>
                        <td align="left">The relative directory of smileys location (like forum/Smileys/default/) with trailing slash!!!<br />
                            <b>If you choosed to use Joomlaboard smileys, You can ignore this setting</b>
                        </td>
                </tr>
                <tr><th colspan="3">Sound Alert</th></tr>
                <tr>
                        <td align="left" width="185">Use sound alert?</td>
                        <td align="left"><input type="checkbox" name="shoutbox_use_sound" <?php if(shoutbox_use_sound == true) { echo 'checked="checked" '; } ?>/></td>
                        <td align="left">If checked, users will have a little Flash sound that will launch a sound when a new message has been received.</td>
                </tr>                
                <tr>
                        <td align="left" width="185">Use sound alert on message sending too?</td>
                        <td align="left"><input type="checkbox" name="shoutbox_use_send_sound" <?php if(shoutbox_use_send_sound == true) { echo 'checked="checked" '; } ?>/></td>
                        <td align="left">If checked, users will have a little Flash sound that will launch a sound when a new message has been sent.</td>
                </tr>
<!--
                <tr>
                        <td align="left" width="185">Sound on by default?</td>
                        <td align="left"><input type="checkbox" name="shoutbox_sound_on" <?php if(shoutbox_sound_on == true) { echo 'checked="checked" '; } ?>/></td>
                        <td align="left">If checked, Sound will be turned on by default, means that all users will have sound untill they disable it.</td>
                </tr>
-->
            </table>
        <?php
    }              
        
    function showShoutBox( $option, &$rows, &$lists, &$search, &$pageNav ) {
        global $my;
        ?>
        <form action="index2.php" method="post" name="adminForm">
        <table class="adminheading">
        <tr>
            <th>
            ShoutBox Manager
            </th>
          </tr>
        </table>

        <table class="adminlist">
        <tr>
            <th width="20">
            <input type="checkbox" name="toggle" value="" onclick="checkAll(<? echo count( $rows ); ?>);" />
            </th>
            
            <!-- ------------------- -->
            <!-- 1 of 6 Change/Edit your column titles to display -->
            <!-- ------------------- -->
            
            <th class="title" nowrap="nowrap">
            ID            </th>
            <th class="title" nowrap="nowrap">
            Name            </th>
            <th class="title" nowrap="nowrap">
            Text            </th>
            <th class="title" nowrap="nowrap">
            URL            </th>
            <th class="title" nowrap="nowrap">
            Time            </th>
        </tr>
        <?
        $k = 0;
        for ($i=0, $n=count( $rows ); $i < $n; $i++) {
            $row = &$rows[$i];
            $task = $row->published ? 'unpublish' : 'publish';
            $img = $row->published ? 'publish_g.png' : 'publish_x.png';
            $alt = $row->published ? 'Published' : 'Unpublished';
            ?>
            <tr class="<? echo "row$k"; ?>">
                <td width="20">
                <? echo mosHTML::idBox( $i, $row->id, ($row->checked_out && $row->checked_out != $my->id ) ); ?>
                </td>
                
                <!-- ------------------- -->
                <!-- 2 of 6 Change the following display values to match your header -->
                <!-- ------------------- -->
                
                <td align="left">
                    <? echo $row->id; ?>
                    </a>
                </td>
                <td align="left">
                <? echo $row->name; ?>
                </td>
                <td align="left">
                <? echo $row->text; ?>
                </td>
                <td align="left">
                <? echo $row->url; ?>
                </td>
                <td align="left">
                <? echo $row->time; ?>
                </td>
            </tr>
            <?            
            $k = 1 - $k; 
        } 
        ?>
        </table>
        <? echo $pageNav->getListFooter(); ?>
        <input type="hidden" name="option" value="<? echo $option;?>" />
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="boxchecked" value="0" />
        </form>
        <?
    }

/**
* Writes the edit form for new and existing record
*
* A new record is defined when <var>$row</var> is passed with the <var>id</var>
* property set to 0.
* @param mosVerjaardagen The verjaardagen object
* @param array An array of select lists
* @param string The option
*/
    function editShoutBoxItem( &$row, $option ) {
        mosMakeHtmlSafe( $row, ENT_QUOTES, 'description' );
        ?>
        <script language="javascript" type="text/javascript">
        function submitbutton(pressbutton) {
            var form = document.adminForm;
            if (pressbutton == 'cancel') {
                submitform( pressbutton );
                return;
            }


            
            /*** ***********************
            /**  5 of 6 Edit for your field validation needs
            /*** *********************** */
            
            if (form.naam.value == ""){
                alert( "Verjaardagen item must have a naam" );
            } else if (form.geboortedatum.value == ""){
                alert( "Verjaardagen item must have a geboortedatum" );
            } else {
                /*
                /** Edit this area to write your edit area back to the database
                /*   */
                submitform( pressbutton );
            }
        }
        </script>
        <table class="adminheading">
        <tr>
            <th>
            <? echo $row->id ? 'Edit' : 'Add';?> ShoutBox Item
            </th>
        </tr>
        </table>

        <form action="index2.php" method="post" name="adminForm" id="adminForm">

        <!-- ------------------- -->
        <!-- 6 of 6 Change the following input form to capture all your values -->
        <!-- ------------------- -->
        
        <table class="adminform">
        <tr>
            <td width="20%" align="right">
            Name:
            </td>
            <td width="80%">
            <input class="text_area" type="text" name="name" size="30" maxlength="60" value="<? echo $row->name;?>" />
            </td>
        </tr>
        <tr>
            <td valign="top" align="right">
            Text
            </td>
            <td>
            <textarea name="textarea" class="text_area" name="text" id="text" rows="3" cols="100"><? echo $row->text; ?></textarea>
            </td>
        </tr>
        <!-- ------------------- -->
        <!-- The following can stay as they are -->
        <!-- ------------------- -->

        <tr>
            <td valign="top" align="right">
            Url
            </td>
            <td>
            <input class="text_area" type="text" name="url" size="30" maxlength="60" value="<? echo $row->url;?>" />
            </td>
        </tr>
        </table>

        <input type="hidden" name="id" value="<? echo $row->id; ?>" />
        <input type="hidden" name="option" value="<? echo $option;?>" />
        <input type="hidden" name="task" value="" />
        </form>
        <?
    }
    
    //About Function
    function showAbout( $option ) {
        ?>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr>
    <td width="100%" class="sectionname" align="center">SMO Ajax Shoutbox</td>
  </tr>
</table>
<table cellpadding="2" cellspacing="4" border="1" width="100%" class="adminform">
    <tr>
        <td align="left" width="10%">Author:</td>
        <td align="left">Wael Nasreddine</td>
    </tr>
    <tr>
        <td align="left">Version:</td>
        <td align="left"><?php echo shoutbox_version; ?></td>
    </tr>
    <tr>
        <td align="left">Email:</td>
        <td align="left"><a href="mailto:gandalf@siemens-mobiles.org">gandalf@siemens-mobiles.org</a></td>
    </tr>
    <tr>
        <td align="left">Website:</td>
        <td align="left"><a href="http://www.arabic-lounge.com/" target="_blank">Arabic Lounge</a></td>
    </tr>
    <tr>
        <td align="left">Support Forum</td>
        <td align="left"><a href="http://www.arabic-lounge.com/component/option,com_smf/Itemid,10/board,51.0" target="_blank">Arabic Lounge</a></td>
    </tr>
    <tr>
        <td align="left">Based on</td>
        <td align="left">SMO Ajax Shoutbox is based on <a href="http://developer.joomla.org/sf/projects/ajaxshoutbox" target="_blank">Ajax Shoutbox 1.0 by Bart Jochems</a></td>
    </tr>
    <tr>
        <td align="left">License:</td>
        <td align="left">This component is released under <a href="http://www.gnu.org/licenses/gpl.txt" target="_blank">GNU General Public License</a></td>
    </tr>
</table>
<br />
<br />
<br />
<br />
<div align="left">
SMO Ajax Shoutbox is a powerfull website tool for chatting using AJAX Technology, it allow users to chat instantly, as if they were on MSN for example, without reloading the page also it notify users about the arrival of a new Shout with a sound that can be disabled by simply clicking on the Green button under the Shoutbox ( It is red if sound is disabled)...<br />
<br />
It supports both registered and guest posting, also admin can choose to allow guests to shout or not..<br />
<br />
it has also a censoring system to censor words and that can be setted via the admin panel
<br />
This shoutbox support smilies from different sources
<ul>
<li>Integrated Smileys</li>
<li><a href="http://www.simplemachines.org" target="_blank">SMF</a> Smileys ( Simplemachines.org forum )</li>
<li><a href="http://developer.joomla.org/sf/projects/simpleboard" target="_blank">Joomlaboard</a> Smileys</li>
</ul>
<b>User must have One of those Forum Software Installed and use the same database as Joomla one</b><br />
<br />
it also supports the below bbcodes:
<ul>
<li>[b] text [/b] to have bolded text</li>
<li>[i] text [/i] to have italic text</li>
<li>[u] text [/u] to have underlined text</li>
<li>[s] text [/s] to have skiped text</li>
<li>[sub] text [/sub] to have a sub text</li>
<li>[sup] text [/sup] to have sup text</li>
<li>[size=XXpt] text [/size] to have a text with XX size</li>
<li>[color=COLOR] text [/color] to have a text colored with COLOR</li>
<li>[black] text [/black] to have a black text</li>
<li>[red] text [/red] to have red text</li>
<li>[white] text [/white] to have white text</li>
<li>[email] email [/email] or [email=email] text [/email] to post an email</li>
<li>[url] link [/url] or [url=link] text [/url] to have a link, replace [url] by [iurl] and [/url] with [/iurl] to have a link that opens in the same window</li>
<li>[ftp] link [/ftp] or [ftp=link] text [/ftp] to have a link</li>
<li>[img] img [/img] to post a thumbnail of an image linked to the original image, you can set wisth and height of the thumbnail in the admin panel</li>
</ul>
<br />
The img tag can be disabled from the admin panel, if disabled, the image will be displayed like <span style="text-decoration: underline;"><b><span style="color: blue;">&laquo;image&raquo;</span></b></span><br />
<br />
<br />
a smiley button, when clicked, a new popup window will open displaying all smileys, when a smiley is clicked, the  smiley code will be parsed into the message<br />
<br />
<br />
Don't forget to edit your template Index.php add in the head section (advised right before </head> the below code<br />
<br />
<textarea rows="5" cols="125">
<link rel="stylesheet" href="&lt;?php echo $mosConfig_live_site;?&gt;/modules/mod_smo_ajax_shoutbox_css.php" type="text/css" />
<script type="text/javascript" src="&lt;?php echo $mosConfig_live_site;?&gt;/modules/mod_smo_ajax_shoutbox_js.php"></script>
</textarea>
<br />
Don't forget to adjust it the way you like via the Component settings....<br />
<br />
<br />
<b>Version History</b>
<br />
<b>Changes from SMO Ajax Shoutbox 1.0.2RC2</b>
<ul>
    <li>Fixed the two textarea printed in this page and on the About page</li>
    <li>Fixed smo_ajax_shoutbox.xml file to include both french and german languages when shoutbox is installed</li>
    <li>Use Usernames or Real names in shouts</li>
    <li>Prefix Guest names with [GUEST]</li>
    <li>Fixed a little bug in javascript when not using Sound</li>
    <li>Fixed the bug in admin panel about Censored words not being saved</li>
</ul><br />
<br />
<b>Changes from SMO Ajax Shoutbox 1.0.1RC1</b>
<ul>
    <li>Smileys can be disabled</li>
    <li>Fixed the character encoding for those who use ISO-8859-1 encoding</li>
    <li>Changed the flash sound to a better one</li>
    <li>Added a help link on the top left corner so user learns how to use it</li>
    <li>Now it supports <a href="http://developer.joomla.org/sf/projects/simpleboard" target="_blank">Joomlaboard</a> smileys too</li>
    <li>Added French and German language files</li>
    <li>Added CENSORS rules</li>
</ul><br />
<br />
<b>Changes from SMO Ajax Shoutbox 1.0RC1</b>
<ul>
    <li>Fixed the wrong flash object name</li>
</ul><br />
<br />
<b>Changes from AJAX Shoutbox 1.0</b>
<ul>
    <li>Added the ability for the user to hear sound on receiving (and sending if enabled in admin panel) of new shouts, he can disabled it by simply clicking on the flash object and it will stay disabled untill he enable it again.</li>
    <li>URL and textarea which was disabled has been enabled</li>
    <li>Fixed the ugly looking on dark backgrounds</li>
    <li>Fixed the bug of Internet Explorer and the Enter button</li>
    <li>The shoutbox can be used in 2 modes, registered and Public, if registered selected, Guests cannot shout</li>
    <li>Admin panel has been organised, added more settings</li>
    <li>Added the ability to choose between integrated Smilies and SMF smilies (for those who have SMF installed on the same database)</li>
    <li>Added smilie button, to open a popup with all smilies, clicking on a smilie will print the code in the message area</li>
    <li>Added the following BBcode</li>
    <ul>
        <li>[b] text [/b] to have bolded text</li>
        <li>[i] text [/i] to have italic text</li>
        <li>[u] text [/u] to have underlined text</li>
        <li>[s] text [/s] to have skiped text</li>
        <li>[sub] text [/sub] to have a sub text</li>
        <li>[sup] text [/sup] to have sup text</li>
        <li>[size=XXpt] text [/size] to have a text with XX size</li>
        <li>[color=COLOR] text [/color] to have a text colored with COLOR</li>
        <li>[black] text [/black] to have a black text</li>
        <li>[red] text [/red] to have red text</li>
        <li>[white] text [/white] to have white text</li>
        <li>[email] email [/email] or [email=email] text [/email] to post an email</li>
        <li>[url] link [/url] or [url=link] text [/url] to have a link, replace [url] by [iurl] and [/url] with [/iurl] to have a link that opens in the same window</li>
        <li>[ftp] link [/ftp] or [ftp=link] text [/ftp] to have a link</li>
        <li>[img] img [/img] to post a thumbnail of an image linked to the original image, you can set wisth and height of the thumbnail in the admin panel</li>
    </ul>
</ul>
<br />
For Help and support, please use <a href="http://www.arabic-lounge.com/component/option,com_smf/Itemid,10/board,51.0" target="_blank">This forum</a>
</div>
        <?php
    }
}

/*
 * End Of File
 * vim: set ft=php ts=4 sw=4 expandtab:
 */

?>
