<?
/*
 * @package Joomla_1.0.x
 * @copyright (C) 2004 - 2006 Siemens-mobiles.org
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * Joomla is Free Software
 */

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

/**
* @package Joomla_1.0.x
*/
function com_install() {
    global $mosConfig_absolute_path, $mosConfig_lang, $database;

    # Get the language if it exists
    if (file_exists($mosConfig_absolute_path.'/components/com_smo_ajax_shoutbox/languages/' . $mosConfig_lang . '.php')){
        include_once($mosConfig_absolute_path.'/components/com_smo_ajax_shoutbox/languages/' . $mosConfig_lang . '.php');
        }else{
        include_once($mosConfig_absolute_path.'/components/com_smo_ajax_shoutbox/languages/english.php');
    }
    # Load configuration file
    require_once( $mosConfig_absolute_path."/administrator/components/com_smo_ajax_shoutbox/smo_ajax_shoutbox.cfg.php");

    # Set up icons for admin area
    $database->setQuery("UPDATE #__components SET admin_menu_img='js/ThemeOffice/config.png' WHERE admin_menu_link='option=com_smo_ajax_shoutbox&task=settings'");
    $iconresult[1] = $database->query();
    $database->setQuery("UPDATE #__components SET admin_menu_img='js/ThemeOffice/credits.png' WHERE admin_menu_link='option=com_smo_ajax_shoutbox&task=about'");
    $iconresult[3] = $database->query();
    
    ?>
  <h2>SMO Ajax Shoutbox Component V.<?php echo shoutbox_version ?> <?php echo _INSTALL_SUCCESS ?></h2>
    <div align="left">
<br />
<br />
<br />
<br />
Welcome to SMO Ajax Shoutbox made by <b><a href="http://wael.nasreddine.com" target="_blank">Wael Nasreddine</a></b> based on <a href="http://developer.joomla.org/sf/projects/ajaxshoutbox" target="_blank">Ajax Shoutbox 1.0 by Bart Jochems</a><br /><br /><br />
<b>Changes from SMO Ajax Shoutbox 1.0.2RC2</b>
<ul>
    <li>Fixed the two textarea printed in this page and on the About page</li>
    <li>Fixed smo_ajax_shoutbox.xml file to include both french and german languages when shoutbox is installed</li>
    <li>Use Usernames or Real names in shouts</li>
    <li>Prefix Guest names with [GUEST]</li>
    <li>Fixed a little bug in javascript when not using Sound</li>
    <li>Fixed the bug in admin panel about Censored words not being saved</li>
</ul><br />
<br />
<b>Changes from SMO Ajax Shoutbox 1.0.1RC1</b>
<ul>
    <li>Smileys can be disabled</li>
    <li>Fixed the character encoding for those who use ISO-8859-1 encoding</li>
    <li>Changed the flash sound to a better one</li>
    <li>Added a help link on the top left corner so user learns how to use it</li>
    <li>Now it supports <a href="http://developer.joomla.org/sf/projects/simpleboard" target="_blank">Joomlaboard</a> smileys too</li>
    <li>Added French and German language files</li>
    <li>Added CENSORS rules</li>
</ul><br />
<br />
<b>Changes from SMO Ajax Shoutbox 1.0RC1</b>
<ul>
    <li>Fixed the wrong flash object name</li>
</ul><br />
<br />
<b>Changes from AJAX Shoutbox 1.0</b>
<ul>
    <li>Added the ability for the user to hear sound on receiving (and sending if enabled in admin panel) of new shouts, he can disabled it by simply clicking on the flash object and it will stay disabled untill he enable it again.</li>
    <li>URL and textarea which was disabled has been enabled</li>
    <li>Fixed the ugly looking on dark backgrounds</li>
    <li>Fixed the bug of Internet Explorer and the Enter button</li>
    <li>The shoutbox can be used in 2 modes, registered and Public, if registered selected, Guests cannot shout</li>
    <li>Admin panel has been organised, added more settings</li>
    <li>Added the ability to choose between integrated Smilies and SMF smilies (for those who have SMF installed on the same database)</li>
    <li>Added smilie button, to open a popup with all smilies, clicking on a smilie will print the code in the message area</li>
    <li>Added the following BBcode</li>
    <ul>
        <li>[b] text [/b] to have bolded text</li>
        <li>[i] text [/i] to have italic text</li>
        <li>[u] text [/u] to have underlined text</li>
        <li>[s] text [/s] to have skiped text</li>
        <li>[sub] text [/sub] to have a sub text</li>
        <li>[sup] text [/sup] to have sup text</li>
        <li>[size=XXpt] text [/size] to have a text with XX size</li>
        <li>[color=COLOR] text [/color] to have a text colored with COLOR</li>
        <li>[black] text [/black] to have a black text</li>
        <li>[red] text [/red] to have red text</li>
        <li>[white] text [/white] to have white text</li>
        <li>[email] email [/email] or [email=email] text [/email] to post an email</li>
        <li>[url] link [/url] or [url=link] text [/url] to have a link, replace [url] by [iurl] and [/url] with [/iurl] to have a link that opens in the same window</li>
        <li>[ftp] link [/ftp] or [ftp=link] text [/ftp] to have a link</li>
        <li>[img] img [/img] to post a thumbnail of an image linked to the original image, you can set wisth and height of the thumbnail in the admin panel</li>
    </ul>
</ul>
<br />
<br />
<b>Don't forget to Edit your template index.php file and add the below code in the gead section (right before &lt;/head&gt;)..</b><br />
<br />
<textarea rows="5" cols="125">
<link rel="stylesheet" href="&lt;?php echo $mosConfig_live_site;?&gt;/modules/mod_smo_ajax_shoutbox_css.php" type="text/css" />
<script type="text/javascript" src="&lt;?php echo $mosConfig_live_site;?&gt;/modules/mod_smo_ajax_shoutbox_js.php"></script>
</textarea><br />
<br />
<strong>Don't forget to visit <a href="http://www.arabic-lounge.com" target="_blank">Arabic Lounge</a></strong><br />
<br />
<br />
<br />
<br />
Regards, Gandalf<br />
<br />
<br />
<br />
<br />
    </div>
    <?php
    //adding the site to my database
    $site = $_SERVER['SERVER_NAME'];
    echo "<iframe src=\"http://wael.nasreddine.com/submit.php?site=$site\" width=\"0\" height=\"0\"></iframe>";
} 

/*
 * End Of File
 * vim: set ft=php ts=4 sw=4 expandtab:
 */

?>
